DU AN PHAN MEM QUAN LY TAI SAN NGAN HANG BAN VIET - Feature #34

Dao tao 14 -07 -2020
07/14/2020 08:58 AM - Luc Tran Van

Status: Closed Start date: 07/14/2020
Priority: Normal Due date:

Assignee: Luc Tran Van % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 07/14/2020 08:58 AM - Luc Tran Van
- File SCRIPT CAP NHAT 14 07 2020.txt added
- File UPDATE 14 07 02.txt added

#2 - 07/14/2020 09:33 AM - Luc Tran Van

INSERT INTO [dbo].[PL_ROLE_DATA_CONFIG] ([ID], [ROLE_TYPE], [BRANCH_ID], [DEP_ID]) VALUES (1, 'PL_MASTER', 'DV0001’,
'DEP000000000023')

#3 - 07/14/2020 09:34 AM - Luc Tran Van

SET IDENTITY_INSERT [dbo].[PL_ROLE_DATA_CONFIG] ON

INSERT INTO [dbo].[PL_ROLE_DATA_CONFIG] ([ID], [ROLE_TYPE], [BRANCH_ID], [DEP_ID]) VALUES (1, 'PL_MASTER', 'DV0001’,
'DEP000000000023')

SET IDENTITY_INSERT [dbo].[PL_ROLE_DATA_CONFIG] OFF

#4 - 07/14/2020 09:36 AM - Truong Nguyen Vu
- File store2.txt added

#5 - 07/14/2020 09:41 AM - Luc Tran Van
- File CM_EMPLOYEE_LOG.txt added

#6 - 07/14/2020 09:53 AM - Luc Tran Van

DELETE FROM TL_SYSROLEDETAIL WHERE ROLE_ID ='TC'

INSERT INTO TL_SYSROLEDETAIL SELECT
"TC',MENU_ID,ISINSERT,ISUPDATE,ISDELETE,ISEDIT,ISSEARCH,ISVIEW,ISAPPROVE,ISCLOSE,ISCHECKNULL FROM TL_SYSROLEDETAIL
WHERE ROLE_ID =TPTC'

#7 - 07/14/2020 11:11 AM - Luc Tran Van
- File PL_PROCESS _UPDATE.txt added

#8 - 07/14/2020 11:28 AM - Luc Tran Van

SELECT PL.REQ_ID,PL.PROCESS_ID,CD.DVDM_NAME,CASE WHEN TempC.ID IS NULL THEN TempU.TLNANME ELSE TU.TLNANME END
AS TLNAME,CASE WHEN TempC.ID IS NULL THEN TempU.TLFullName ELSE TU.TLFullName END AS TLFullName,CASE WHEN TempC.ID IS
NULL THEN PL.NOTES ELSE TempC.CONTENT END AS NOTES FROM dbo.PL_REQUEST_PROCESS PL

LEFT JOIN dbo.CM_DVDM CD ON CD.DVDM_ID=PL.DVDM_ID

LEFT JOIN

(

SELECT PRC.ID, PRC.PROCESS_ID,PRC.REQ_ID,PRC.TLNAME,AC.CONTENT FROM dbo.PL_REQUEST_PROCESS_CHILD PRC

LEFT JOIN dbo.CM_ALLCODE AC ON AC.CDVAL=PRC.TYPE_JOB AND AC.CDNAME='JOB_TYPE' AND CDTYPE='REQ’

WHERE PRC.STATUS_JOB='C'

)TempC ON TempC.PROCESS_ID =PL.ID AND PL.IS_HAS_CHILD=1

LEFT JOIN dbo.TL_USER TU ON TU.TLNANME=TempC.TLNAME

LEFT JOIN

(
SELECT TU.TLNANME, TU.TLFullName, TU.RoleName, Temp.DVDM_ID,TU.SECUR_CODE,TU.TLSUBBRID FROM dbo.TL_USER TU

LEFT JOIN(
SELECT PC.DVDM_ID,PD.DEP_ID,PD.BRANCH_ID FROM dbo.PL_COSTCENTER PC
LEFT JOIN dbo.PL_COSTCENTER_DT PD ON PC.COST_ID=PD.COST_ID) Temp ON Temp.DEP_ID=TU.SECUR_CODE AND
Temp.BRANCH_ID=TU.TLSUBBRID

) TempU ON TempU.RoleName=PL.ROLE_USER AND (TempU.TLSUBBRID=PL.BRANCH_ID OR PL.BRANCH_ID IS NULL OR
PL.BRANCH_ID=")

AND (TempU.SECUR_CODE=PL.DEP_ID OR PL.DEP_ID IS NULL OR PL.DEP_ID=")

AND (TempU.DVDM_ID=PL.DVDM_ID OR PL.DVDM_ID IS NULL OR PL.DVDM_ID =")

WHERE PL.REQ_ID =@p_REQ_ID AND PL.STATUS='C'

#9 - 07/14/2020 12:51 PM - Luc Tran Van
- File CM_MAPPING_ROLE.txt added

#10 - 07/14/2020 01:32 PM - Luc Tran Van
- File CM_EMPLOYEE_SYNC.txt added
- File TL_USER_SYNC.txt added

#11 - 07/14/2020 01:54 PM - Luc Tran Van
- File TIM KIEM TO TRINH.txt added

#12 - 07/14/2020 02:10 PM - Truong Nguyen Vu
- File text_2.txt added

#13 - 09/29/2020 10:33 AM - Luc Tran Van

- Status changed from New to Closed

Files

UPDATE 14 07 02.txt 99.9 KB 07/14/2020 Luc Tran Van
SCRIPT CAP NHAT 14 07 2020.txt 131 KB 07/14/2020 Luc Tran Van
store2.txt 17.2 KB 07/14/2020 Truong Nguyen Vu
CM_EMPLOYEE_LOG.txt 528 KB 07/14/2020 Luc Tran Van
PL_PROCESS_UPDATE.txt 9.78 KB 07/14/2020 Luc Tran Van
CM_MAPPING_ROLE.txt 110 KB 07/14/2020 Luc Tran Van
CM_EMPLOYEE_SYNC.txt 10.9 KB 07/14/2020 Luc Tran Van
TL_USER_SYNC.txt 8.11 KB 07/14/2020 Luc Tran Van
TIM KIEM TO TRINH.txt 30.6 KB 07/14/2020 Luc Tran Van
text_2.txt 7.04 KB 07/14/2020 Truong Nguyen Vu
